QuantLib: THBFIX Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.20

Public Member Functions | List of all members
THBFIX Class Reference

THB THBFIX rate More...

`#include <ql/indexes/ibor/thbfix.hpp>`

Inheritance diagram for THBFIX:
[legend]

## Public Member Functions
| THBFIX (const Period &tenor, const Handle< YieldTermStructure > &h=Handle< YieldTermStructure >())
Public Member Functions inherited from IborIndex
| IborIndex (const std::string &familyName, const Period &tenor, Natural settlementDays, const Currency &currency, const Calendar &fixingCalendar, BusinessDayConvention convention, bool endOfMonth, const DayCounter &dayCounter, const Handle< YieldTermStructure > &h=Handle< YieldTermStructure >())
Date | maturityDate (const Date &valueDate) const
Rate | forecastFixing (const Date &fixingDate) const
| It can be overridden to implement particular conventions.
BusinessDayConvention | businessDayConvention () const
bool | endOfMonth () const
Handle< YieldTermStructure > | forwardingTermStructure () const
| the curve used to forecast fixings
virtual ext::shared_ptr< IborIndex > | clone (const Handle< YieldTermStructure > &forwarding) const
| returns a copy of itself linked to a different forwarding curve
Public Member Functions inherited from InterestRateIndex
| InterestRateIndex (const std::string &familyName, const Period &tenor, Natural settlementDays, const Currency &currency, const Calendar &fixingCalendar, const DayCounter &dayCounter)
std::string | name () const
| Returns the name of the index. More...
Calendar | fixingCalendar () const
| returns the calendar defining valid fixing dates
bool | isValidFixingDate (const Date &fixingDate) const
| returns TRUE if the fixing date is a valid one
Rate | fixing (const Date &fixingDate, bool forecastTodaysFixing=false) const
| returns the fixing at the given date More...
void | update ()
std::string | familyName () const
Period | tenor () const
Natural | fixingDays () const
Date | fixingDate (const Date &valueDate) const
const Currency & | currency () const
const DayCounter & | dayCounter () const
virtual Date | valueDate (const Date &fixingDate) const
virtual Rate | pastFixing (const Date &fixingDate) const
Public Member Functions inherited from Index
const TimeSeries< Real > & | timeSeries () const
| returns the fixing TimeSeries
virtual bool | allowsNativeFixings ()
| check if index allows for native fixings. More...
virtual void | addFixing (const Date &fixingDate, Real fixing, bool forceOverwrite=false)
| stores the historical fixing at the given date More...
void | addFixings (const TimeSeries< Real > &t, bool forceOverwrite=false)
| stores historical fixings from a TimeSeries More...
template<class DateIterator , class ValueIterator >
void | addFixings (DateIterator dBegin, DateIterator dEnd, ValueIterator vBegin, bool forceOverwrite=false)
| stores historical fixings at the given dates More...
void | clearFixings ()
| clears all stored historical fixings
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()

## Additional Inherited Members
Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Attributes inherited from IborIndex
BusinessDayConvention | convention_
Handle< YieldTermStructure > | termStructure_
bool | endOfMonth_
Protected Attributes inherited from InterestRateIndex
std::string | familyName_
Period | tenor_
Natural | fixingDays_
Currency | currency_
DayCounter | dayCounter_
std::string | name_

## Detailed Description

THB THBFIX rate

THBFIX

THB interest rate implied by USD/THB foreign exchange swaps

The Swap Offer Rate represents the cost of borrowing a currency synthetically by borrowing USD for the same tenor and using the foreign exchange swap offer rate on the offer side to swap out the USD in return for the foreign currency.

Fixing is based on average FX Forward rates from 21 banks and the USD Libor Fixing.

Fixing is published at 11:00 am BKK time